var assert = require('assert');

var SVN = require('./index.js');

describe('SVN', function () {
  describe('#export()', function () {
    it('should export svn from url', function (done) {
      console.log(SVN.export('http://svn.apache.org/repos/asf/spamassassin/trunk/INSTALL',
          '/tmp/SVN_INSTALL_' + Math.random(),
          function (err) {
            if (err) throw err;
            done();
          }));
    });
    it('should not export svn from url and throw error', function (done) {
      console.log(SVN.export('http://svn.apache.org/repos/asf/spamassassin/trunk/INSTALL/bb',
          '/tmp/SVN_INSTALL',
          function (err) {
            if (!err) throw new Error('error');
            done();
          }));
    });
  });
})
